- page_title "Users"
= render 'shared/show_aside'

.row
  %aside.col-md-3
    .admin-filter
      %ul.nav.nav-pills.nav-stacked
        %li{class: "#{'active' unless params[:filter]}"}
          = link_to admin_users_path do
            Active
            %small.pull-right= User.active.count
        %li{class: "#{'active' if params[:filter] == "admins"}"}
          = link_to admin_users_path(filter: "admins") do
            Admins
            %small.pull-right= User.admins.count
        %li.filter-two-factor-enabled{class: "#{'active' if params[:filter] == 'two_factor_enabled'}"}
          = link_to admin_users_path(filter: 'two_factor_enabled') do
            2FA Enabled
            %small.pull-right= User.with_two_factor.count
        %li.filter-two-factor-disabled{class: "#{'active' if params[:filter] == 'two_factor_disabled'}"}
          = link_to admin_users_path(filter: 'two_factor_disabled') do
            2FA Disabled
            %small.pull-right= User.without_two_factor.count
        %li{class: "#{'active' if params[:filter] == "blocked"}"}
          = link_to admin_users_path(filter: "blocked") do
            Blocked
            %small.pull-right= User.blocked.count
        %li{class: "#{'active' if params[:filter] == "wop"}"}
          = link_to admin_users_path(filter: "wop") do
            Without projects
            %small.pull-right= User.without_projects.count
      %hr
      = form_tag admin_users_path, method: :get, class: 'form-inline' do
        .form-group
          = search_field_tag :name, params[:name], placeholder: 'Name, email or username', class: 'form-control', spellcheck: false
          = hidden_field_tag "filter", params[:filter]
        = button_tag class: 'btn btn-primary' do
          %i.fa.fa-search
      %hr
      = link_to 'Reset', admin_users_path, class: "btn btn-cancel"

  %section.col-md-9
    .panel.panel-default
      .panel-heading
        Users (#{@users.total_count})
        .panel-head-actions
          = link_to 'Send email to users', admin_email_path, class: 'btn btn-sm'
          .dropdown.inline
            %a.dropdown-toggle.btn.btn-sm{href: '#', "data-toggle" => "dropdown"}
              %span.light sort:
              - if @sort.present?
                = sort_options_hash[@sort]
              - else
                = sort_title_name
              %b.caret
            %ul.dropdown-menu
              %li
                = link_to admin_users_path(sort: sort_value_name, filter: params[:filter]) do
                  = sort_title_name
                = link_to admin_users_path(sort: sort_value_recently_signin, filter: params[:filter]) do
                  = sort_title_recently_signin
                = link_to admin_users_path(sort: sort_value_oldest_signin, filter: params[:filter]) do
                  = sort_title_oldest_signin
                = link_to admin_users_path(sort: sort_value_recently_created, filter: params[:filter]) do
                  = sort_title_recently_created
                = link_to admin_users_path(sort: sort_value_oldest_created, filter: params[:filter]) do
                  = sort_title_oldest_created
                = link_to admin_users_path(sort: sort_value_recently_updated, filter: params[:filter]) do
                  = sort_title_recently_updated
                = link_to admin_users_path(sort: sort_value_oldest_updated, filter: params[:filter]) do
                  = sort_title_oldest_updated

          = link_to 'New User', new_admin_user_path, class: "btn btn-new btn-sm"
      %ul.well-list
        - @users.each do |user|
          %li
            .list-item-name
              - if user.blocked?
                %i.fa.fa-lock.cred
              - else
                %i.fa.fa-user.cgreen
              = link_to user.name, [:admin, user]
              - if user.note
                = link_to "#", { "data-toggle" => "tooltip", title: user.note, class: "user-note"} do
                  = icon("sticky-note-o cgrey")
              - if user.admin?
                %strong.cred (Admin)
              - if user == current_user
                %span.cred It's you!
            .pull-right
              %span.light
                %i.fa.fa-envelope
                = mail_to user.email, user.email, class: 'light'
              &nbsp;
              = link_to 'Edit', edit_admin_user_path(user), id: "edit_#{dom_id(user)}", class: "btn btn-xs"
              - unless user == current_user
                - if user.blocked?
                  = link_to 'Unblock', unblock_admin_user_path(user), method: :put, class: "btn btn-xs btn-success"
                - else
                  = link_to 'Block', block_admin_user_path(user), data: {confirm: 'USER WILL BE BLOCKED! Are you sure?'}, method: :put, class: "btn btn-xs btn-warning"
                - if user.access_locked?
                  = link_to 'Unlock', unlock_admin_user_path(user), method: :put, class: "btn btn-xs btn-success", data: { confirm: 'Are you sure?' }
                - if user.can_be_removed?
                  = link_to 'Destroy', [:admin, user], data: { confirm: "USER #{user.name} WILL BE REMOVED! All issues, merge requests and groups linked to this user will also be removed! Maybe block the user instead? Are you sure?" }, method: :delete, class: "btn btn-xs btn-remove"
    = paginate @users, theme: "gitlab"
